
{% extends 'pages/menu.html' %}

{% block titre %} Site{% endblock %}

{% block content %}

<h2>Nos sites tourristiques</h2>
<a href="{% url 'Ajout_site'%}" class="btn btn-primary mb-2">Ajouter un site</a>
<div class="site-container">
    {% if site %}
        {% for element in site %}
            <div class="site-card">
                <div class="site-image">
                    <img src="/media/{{ element.photo }}" class="site-thumb"><br>
                </div>
                <div class="site-info">
                    <a class="nom" href="{% url 'detail' element.id %}">{{ element.nom }}</a><br>
                    <span class="ville">{{ element.type }}</span>
                </div>
                <div class="site-btn">
                    <a  href="{% url 'editS' element.id %}" class="btn btn-success mb-2 mt-4 ml-1">Modifier</a>
                    <a  href="{% url 'deleteS' element.id %}"class="btn btn-danger mb-2 mt-4 ml-1" >Supprimer</a>

                </div>
            </div>
         {% endfor %}
    {% else %}
        <p class="alert alert-info">Aucun site disponible ! </p>
    {% endif %}
</div>


{% endblock content %}